hpp-python: pyhpp::core::PathWrap Struct Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Public Member Functions | Static Public Member Functions | List of all members
pyhpp::core::PathWrap Struct Reference
Inheritance diagram for pyhpp::core::PathWrap:
[legend]
Collaboration diagram for pyhpp::core::PathWrap:
[legend]

## Public Member Functions
| PathWrap (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize, const ConstraintSetPtr_t &constraints)
| PathWrap (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize)
std::ostream & | print (std::ostream &os) const
void | init (hpp::shared_ptr< PathWrap > &shPtr)
boost::python::override | get_override_or_throw (const char *funcname) const
PathPtr_t | copy () const override
PathPtr_t | copy_constrained (const ConstraintSetPtr_t &constraints) const
PathPtr_t | copy (const ConstraintSetPtr_t &constraints) const override
PathPtr_t | reverse () const override
PathPtr_t | default_reverse () const
Configuration_t | initial () const override
Configuration_t | end () const override
bool | impl_compute (ConfigurationOut_t configuration, value_type param) const override
void | impl_derivative (vectorOut_t derivative, const value_type &param, size_type order) const override
Public Member Functions inherited from pyhpp::core::PathWrapper
virtual | ~PathWrapper ()=default
Public Member Functions inherited from hpp::core::Path
virtual | ~Path ()
shared_ptr< T > | as (void)
shared_ptr< const T > | as (void) const
PathPtr_t | extract (const interval_t &subInterval) const
PathPtr_t | extract (const value_type &tmin, const value_type &tmax) const
Configuration_t | eval (const value_type &time, bool &success) const
bool | eval (ConfigurationOut_t result, const value_type &time) const
bool | at (const value_type &time, ConfigurationOut_t result) const
void | derivative (vectorOut_t result, const value_type &time, size_type order) const
void | velocityBound (vectorOut_t result, const value_type &t0, const value_type &t1) const
size_type | outputSize () const
size_type | outputDerivativeSize () const
const interval_t & | timeRange () const
virtual value_type | length () const
const ConstraintSetPtr_t & | constraints () const
const interval_t & | paramRange () const
const TimeParameterizationPtr_t & | timeParameterization () const
void | timeParameterization (const TimeParameterizationPtr_t &tp, const interval_t &tr)
virtual | ~Path ()
shared_ptr< T > | as (void)
shared_ptr< const T > | as (void) const
PathPtr_t | extract (const interval_t &subInterval) const
PathPtr_t | extract (const value_type &tmin, const value_type &tmax) const
Configuration_t | eval (const value_type &time, bool &success) const
bool | eval (ConfigurationOut_t result, const value_type &time) const
bool | at (const value_type &time, ConfigurationOut_t result) const
void | derivative (vectorOut_t result, const value_type &time, size_type order) const
void | velocityBound (vectorOut_t result, const value_type &t0, const value_type &t1) const
size_type | outputSize () const
size_type | outputDerivativeSize () const
const interval_t & | timeRange () const
virtual value_type | length () const
const ConstraintSetPtr_t & | constraints () const
const interval_t & | paramRange () const
const TimeParameterizationPtr_t & | timeParameterization () const
void | timeParameterization (const TimeParameterizationPtr_t &tp, const interval_t &tr)

## Static Public Member Functions
static tuple | py_call1 (const Path &p, const value_type &t)
static bool | py_call2 (const Path &p, ConfigurationOut_t q, const value_type &t)
static vector_t | derivative (const Path &p, const value_type &t, size_type order)
static ConstraintSetPtr_t | constraints (const Path &p)

## Additional Inherited Members
Protected Member Functions inherited from pyhpp::core::PathWrapper
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize, const ConstraintSetPtr_t &constraints)
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize)
| Path (const Path &path)
| Path (const Path &path, const ConstraintSetPtr_t &constraints)
| Path ()
Protected Member Functions inherited from hpp::core::Path
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize, const ConstraintSetPtr_t &constraints)
| Path (const interval_t &interval, size_type outputSize, size_type outputDerivativeSize)
| Path (const Path &path)
| Path (const Path &path, const ConstraintSetPtr_t &constraints)
void | init (const PathWkPtr_t &self)
void | constraints (const ConstraintSetPtr_t &constraint)
virtual void | checkPath () const
void | timeRange (const interval_t &timeRange)
value_type | paramLength () const
Configuration_t | configAtParam (const value_type &param, bool &success) const
virtual void | impl_velocityBound (vectorOut_t bound, const value_type &param0, const value_type &param1) const
virtual PathPtr_t | impl_extract (const interval_t &paramInterval) const
| Path ()
Protected Attributes inherited from hpp::core::Path
interval_t | paramRange_

## Constructor & Destructor Documentation

## ◆ PathWrap() [1/2]

pyhpp::core::PathWrap::PathWrap | ( | const interval_t & | interval,
|  | size_type | outputSize,
|  | size_type | outputDerivativeSize,
|  | const ConstraintSetPtr_t & | constraints
| ) |  |
| inline

## ◆ PathWrap() [2/2]

pyhpp::core::PathWrap::PathWrap | ( | const interval_t & | interval,
|  | size_type | outputSize,
|  | size_type | outputDerivativeSize
| ) |  |
| inline

## Member Function Documentation

## ◆ constraints()

static ConstraintSetPtr_t pyhpp::core::PathWrap::constraints | ( | const Path & | p | ) |
| inlinestatic

## ◆ copy() [1/2]

PathPtr_t pyhpp::core::PathWrap::copy | ( |  | ) | const
| inlineoverridevirtual

Implements hpp::core::Path.

## ◆ copy() [2/2]

PathPtr_t pyhpp::core::PathWrap::copy | ( | const ConstraintSetPtr_t & | constraints | ) | const
| inlineoverridevirtual

Implements hpp::core::Path.

## ◆ copy_constrained()

PathPtr_t pyhpp::core::PathWrap::copy_constrained | ( | const ConstraintSetPtr_t & | constraints | ) | const
| inline

## ◆ default_reverse()

PathPtr_t pyhpp::core::PathWrap::default_reverse | ( |  | ) | const
| inline

## ◆ derivative()

static vector_t pyhpp::core::PathWrap::derivative | ( | const Path & | p,
|  | const value_type & | t,
|  | size_type | order
| ) |  |
| inlinestatic

## ◆ end()

Configuration_t pyhpp::core::PathWrap::end | ( |  | ) | const
| inlineoverridevirtual

Implements hpp::core::Path.

## ◆ get_override_or_throw()

boost::python::override pyhpp::core::PathWrap::get_override_or_throw | ( | const char * | funcname | ) | const
| inline

## ◆ impl_compute()

bool pyhpp::core::PathWrap::impl_compute | ( | ConfigurationOut_t | configuration,
|  | value_type | param
| ) |  | const
| inlineoverridevirtual

Implements hpp::core::Path.

## ◆ impl_derivative()

void pyhpp::core::PathWrap::impl_derivative | ( | vectorOut_t | derivative,
|  | const value_type & | param,
|  | size_type | order
| ) |  | const
| inlineoverridevirtual

Reimplemented from hpp::core::Path.

## ◆ init()

void pyhpp::core::PathWrap::init | ( | hpp::shared_ptr< PathWrap > & | shPtr | ) |
| inline

## ◆ initial()

Configuration_t pyhpp::core::PathWrap::initial | ( |  | ) | const
| inlineoverridevirtual

Implements hpp::core::Path.

## ◆ print()

std::ostream& pyhpp::core::PathWrap::print | ( | std::ostream & | os | ) | const
| inlinevirtual

Reimplemented from hpp::core::Path.

## ◆ py_call1()

static tuple pyhpp::core::PathWrap::py_call1 | ( | const Path & | p,
|  | const value_type & | t
| ) |  |
| inlinestatic

## ◆ py_call2()

static bool pyhpp::core::PathWrap::py_call2 | ( | const Path & | p,
|  | ConfigurationOut_t | q,
|  | const value_type & | t
| ) |  |
| inlinestatic

## ◆ reverse()

PathPtr_t pyhpp::core::PathWrap::reverse | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from hpp::core::Path.

The documentation for this struct was generated from the following file:

- src/pyhpp/core/path.cc